import { BuildType, SelectiveOption, SelectiveSkipBuildType, SelectiveType } from '../bundlib-options';
import { TypeCheckFunction } from '../helper-types';
import { SelectiveResolved } from './object-based';
export declare type SelectiveResolvedBoolean<K extends string> = SelectiveResolved<K, boolean>;
export declare function resolveSelectiveOption<K extends BuildType, T, D>(value: SelectiveOption<SelectiveType<K>, T>, defaultValue: D, isValidValue: TypeCheckFunction<T>, allkeys: K[], optionName: string, urlHash?: string): SelectiveResolved<K, boolean | T | D>;
export declare function resolveSelectiveOption<K extends SelectiveSkipBuildType, T, D>(value: SelectiveOption<SelectiveType<K>, T>, defaultValue: D, isValidValue: TypeCheckFunction<T>, allkeys: K[], optionName: string, urlHash?: string): SelectiveResolved<K, boolean | T | D>;
export declare function resolveSelectiveOption<K extends string, T, D>(value: SelectiveOption<SelectiveType<K>, T>, defaultValue: D, isValidValue: TypeCheckFunction<T>, allkeys: K[], optionName: string, urlHash?: string): SelectiveResolved<K, boolean | T | D>;
