import { BuildType, SelectiveSkipBuildType, SelectiveType } from '../bundlib-options';
import { TypeCheckFunction } from '../helper-types';
import { SelectiveResolved } from './object-based';
export declare function resolveTypeStringArray<K extends BuildType>(value: Array<SelectiveType<K>>, isBuildType: TypeCheckFunction<K>, allkeys: K[], invalid: TypeError): SelectiveResolved<K, boolean>;
export declare function resolveTypeStringArray<K extends SelectiveSkipBuildType>(value: Array<SelectiveType<K>>, isBuildType: TypeCheckFunction<K>, allkeys: K[], invalid: TypeError): SelectiveResolved<K, boolean>;
export declare function resolveTypeStringArray<K extends string>(value: Array<SelectiveType<K>>, isBuildType: TypeCheckFunction<K>, allkeys: K[], invalid: TypeError): SelectiveResolved<K, boolean>;
