import { IsExternal, Plugin, WarningHandlerWithDefault } from 'rollup';
import { Nullable } from '../helper-types';
import { BundlibRollupModuleOutputOptions, BundlibRollupOptions } from '../types';
export declare function createConfig<OutputOptions extends BundlibRollupModuleOutputOptions>(input: string, output: OutputOptions, external: IsExternal, plugins: Plugin[], onwarn: Nullable<WarningHandlerWithDefault>, chokidar: boolean): BundlibRollupOptions<OutputOptions>;
