import { Nullable, TypeCastCheckFunction, TypeCheckFunction } from '../helper-types';
import { MultilevelArray } from '../tools/multilevel-array';
export declare function createOneOfLiteral<M>(...values: MultilevelArray<M>): TypeCheckFunction<M>;
export declare const composeOneOf: <M>(...checks: TypeCheckFunction<M>[]) => TypeCastCheckFunction<M>;
export declare const isStringOrNull: TypeCastCheckFunction<Nullable<string>>;
export declare const isDictionaryOrNull: TypeCastCheckFunction<Nullable<Record<string, any>>>;
